Subject: Re: bug#28352: stale cache in ~/.cache/gstreamer-1.0

From: [email-masked] (Ludovic Courtès)
Date: Tue, 05 Sep 2017 14:25:28 +0200

Ricardo Wurmus <[email-masked]> skribis:

> The gstreamer cache in ~/.cache/gstreamer-1.0 goes stale and must be
> manually deleted after changing what gstreamer plugins are installed.
> This can be dangerous as old plugins might be referenced long after they
> have been upgraded, causing the user to continue using old plugins
> despite an upgrade.

Indeed, the ~/.cache/gstreamer-1.0/registry.x86_64.bin embeds absolute
file names.

Ludo’.